## org.eclipse.emf.validation.service
Interface IConstraintFilter

    public interface IConstraintFilter

Interface implemented by clients who wish to define a constraint filter on their validator.

Since:
  1.1
See Also:
  `IValidator.addConstraintFilter(IConstraintFilter)`

Field Summary
`static IConstraintFilter` `IDENTITY_INSTANCE` A shared filter instance that doesn't filter out any constraints (all pass through).

Method Summary
`boolean` `accept(IConstraintDescriptor constraint, EObject target)` Determines whether a given `constraint` and `target` pair are accepted by this filter.

Field Detail

### IDENTITY_INSTANCE

    static final IConstraintFilter IDENTITY_INSTANCE

  A shared filter instance that doesn't filter out any constraints (all pass through).

Method Detail

### accept

    boolean accept(IConstraintDescriptor constraint,
                   EObject target)

  Determines whether a given `constraint` and `target` pair are accepted by this filter. This is applicable to both batch and live validation modes.

  Parameters:
    `constraint` - descriptor of a constraint to consider for filtering
    `target` - the object on which the `constraint` would be validated
  Returns:
    true if the pair is accepted by the filter, false otherwise

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.